Skip to main content
POST
/
v1
/
order-history
Order History
curl --request POST \
  --url https://api.example.com/v1/order-history

Order History

Retrieve your order history with pagination and filters.

Request

POST /v1/order-history
{
  "api_key": "your-api-key",
  "sign": "MD5(api_key + api_secret + history)",
  "page": 1,
  "limit": 20,
  "status": "success",
  "start_date": "2026-03-01",
  "end_date": "2026-03-28"
}

Signature

sign = MD5(api_key + api_secret + "history")

Optional Filters

FieldTypeDefaultDescription
pagenumber1Page number
limitnumber20Items per page (max 100)
statusstringallFilter: pending, success, failed
start_datestringStart date (YYYY-MM-DD)
end_datestringEnd date (YYYY-MM-DD)
product_skustringFilter by product SKU

Response

200
{
  "success": true,
  "data": {
    "orders": [
      {
        "ref_id": "ORDER-20260328-001",
        "product_sku": "ml-diamonds-86",
        "product_name": "Mobile Legends 86 Diamonds",
        "customer_no": "123456789",
        "status": "success",
        "serial_number": "SN-XYZ789ABC",
        "price": 16500,
        "created_at": "2026-03-28T10:30:00Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "total": 150,
      "total_pages": 8
    }
  },
  "message": "OK"
}